## 389-ds-base 1.3.2.16

=== lib/ldaputil/examples/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# This Program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; version 2 of the License.
# 
# This Program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA.
# 
# In addition, as a special exception, Red Hat, Inc. gives You the additional
# right to link the code of this Program with code not covered under the GNU
# General Public License ("Non-GPL Code") and to distribute linked combinations
# including the two, subject to the limitations in this paragraph. Non-GPL Code
# permitted under this exception must only link to the code of this Program
# through those well defined interfaces identified in the file named EXCEPTION
# found in the source code files (the "Approved Interfaces"). The files of
# Non-GPL Code may instantiate templates or use macros or inline functions from
# the Approved Interfaces without causing the resulting work to be covered by
# the GNU General Public License. Only Red Hat, Inc. may make changes or
# additions to the list of Approved Interfaces. You must obey the GNU General
# Public License in all respects for all of the Program code and other code used
# in conjunction with the Program except the Non-GPL Code covered by this
# exception. If you modify this file, you may extend this exception to your
# version of the file, but you are not obligated to do so. If you do not wish to
# provide this exception without modification, you must delete this exception
# statement from your version and license this file solely under the GPL without
# exception. 
# 
# 
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK
#
#
# Makefile for certmap example program.
#

#
# Please set the ARCH variable to one of the following:
# SOLARIS, IRIX, HPUX
#
ARCH = 


#
# Please set the SROOT to be same as your server root
#
SROOT = 

#
# Uncomment the following if you need the debug build
#
#COMMON_DEFS = -g

ifndef ARCH
arch:
	@echo "Please edit the Makefile and set the variable: ARCH"
	@exit 1
endif

ifndef SROOT
sroot:
	@echo "Please edit the Makefile and set the server root variable: SROOT"
	@exit 1
endif

ifeq ($(ARCH), SOLARIS)
CC_CMD = cc -DSOLARIS -D_REENTRANT
LD_SHAREDCMD = ld -G
endif

ifeq ($(ARCH), IRIX)
CC_CMD = cc
LD_SHAREDCMD = ld -32 -shared
endif

ifeq ($(ARCH), HPUX)
  BIN = certmap.sl
else
  BIN = certmap.so
endif

OBJS = init.o plugin.o

INCLUDE_FLAGS=-I. -I$(SROOT)/include

INC_FILES = \
	$(SROOT)/include/certmap.h \
	$(SROOT)/include/ldap.h \
	$(SROOT)/include/lber.h

all: $(BIN)

$(INC_FILES):
	@echo
	@echo "To extend the Certificate to LDAP entry mapping by"
	@echo "writing your own functions, you need to download the"
	@echo "Certmap API (version 1.0) and LDAP SDK (version 1.0)."
	@echo "Please download these from http://???"
	@echo "Make sure the following files exist:"
	@echo "\t$(SROOT)/include/certmap.h"
	@echo "\t$(SROOT)/include/ldap.h"
	@echo "\t$(SROOT)/include/lber.h"
	@echo
	@exit 1

$(BIN):	$(INC_FILES) $(OBJS)
	$(LD_SHAREDCMD) $(OBJS) -o $@ $(EXTRA_LDDEFINES)

certmap.dll: $(OBJS)
	$(LD_SHAREDCMD) $(OBJS) -o $@ $(EXTRA_LDDEFINES)

.c.o:
	$(CC_CMD) $(COMMON_DEFS) $(INCLUDE_FLAGS) -c $< 

clean:
	rm -f $(OBJS) certmap.so $(EXTRA_CLEAN)

=== ldap/servers/plugins/distrib/Makefile ===
# --- BEGIN COPYRIGHT BLOCK ---
# This Program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; version 2 of the License.
# 
# This Program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA.
# 
# In addition, as a special exception, Red Hat, Inc. gives You the additional
# right to link the code of this Program with code not covered under the GNU
# General Public License ("Non-GPL Code") and to distribute linked combinations
# including the two, subject to the limitations in this paragraph. Non-GPL Code
# permitted under this exception must only link to the code of this Program
# through those well defined interfaces identified in the file named EXCEPTION
# found in the source code files (the "Approved Interfaces"). The files of
# Non-GPL Code may instantiate templates or use macros or inline functions from
# the Approved Interfaces without causing the resulting work to be covered by
# the GNU General Public License. Only Red Hat, Inc. may make changes or
# additions to the list of Approved Interfaces. You must obey the GNU General
# Public License in all respects for all of the Program code and other code used
# in conjunction with the Program except the Non-GPL Code covered by this
# exception. If you modify this file, you may extend this exception to your
# version of the file, but you are not obligated to do so. If you do not wish to
# provide this exception without modification, you must delete this exception
# statement from your version and license this file solely under the GPL without
# exception. 
# 
# 
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# --- END COPYRIGHT BLOCK ---
# 
#
# GNU Makefile for Directory Server distribution plugin
#

LDAP_SRC = ../../..
BUILD_ROOT = ../../../..

NOSTDCLEAN=true # don't let nsconfig.mk define target clean
NOSTDSTRIP=true # don't let nsconfig.mk define target strip

OBJDEST = $(OBJDIR)/lib/libdistrib
LIBDIR = $(LDAP_PLUGIN_RELDIR)

include $(BUILD_ROOT)/nsconfig.mk
include $(LDAP_SRC)/nsldap.mk

ifeq ($(ARCH), WINNT)
DEF_FILE:=./libdistrib.def
endif

CFLAGS+=$(SLCFLAGS)

INCLUDES += -I$(LDAP_SRC)/servers/slapd

DIS_OBJS= \
	distrib.o


OBJS = $(addprefix $(OBJDEST)/, $(DIS_OBJS)) 

ifeq ($(ARCH), WINNT)
LIBDIS_DLL_OBJ = $(addprefix $(OBJDEST)/, dllmain.o)
endif

# The sample distribution plugin is not part of DS.
# So we generate the shared library outside of $(LIBDIR)
# so that it's not retreived by the packaging makefiles.
#LIBDIS =	$(addprefix $(LIBDIR)/, $(DIS_DLL).$(DLL_SUFFIX))
LIBDIS =	$(addprefix $(OBJDEST)/, $(DIS_DLL).$(DLL_SUFFIX))

ifeq ($(ARCH), WINNT)
EXTRA_LIBS_DEP += \
	$(LIBSLAPD_DEP) \
	$(LDAP_LIBUTIL_DEP) \
	$(LDAP_COMMON_LIBS_DEP)
EXTRA_LIBS_DEP += \
	$(LDAPSDK_DEP) \
	$(SECURITY_DEP)
EXTRA_LIBS += \
	$(LIBSLAPD) \
	$(LDAP_SDK_LIBLDAP_DLL) \
	$(LIBUTIL) \
	$(NSPRLINK) \
	$(LDAP_COMMON_LIBS)
endif
ifeq ($(ARCH), AIX)
EXTRA_LIBS_DEP += \
	$(LIBSLAPD_DEP) \
	$(LDAP_LIBUTIL_DEP) \
	$(LDAP_COMMON_LIBS_DEP)
EXTRA_LIBS_DEP += \
	$(LDAPSDK_DEP)
EXTRA_LIBS += \
	$(LIBSLAPDLINK) \
	$(LDAP_SDK_LIBLDAP_DLL) \
	$(LIBUTIL) \
	$(NSPRLINK) \
	$(LDAP_COMMON_LIBS)
endif

ifeq ($(ARCH), HPUX)
EXTRA_LIBS_DEP += $(LIBSLAPD_DEP) $(LDAPSDK_DEP) $(NSPR_DEP)
EXTRA_LIBS += $(LDAPLINK) $(NSPRLINK) $(ICULINK)
endif

ifeq ($(ARCH), WINNT)
DLL_LDFLAGS += -def:"./libdistrib.def"
CFLAGS+= /WX 
endif # WINNT

ifeq ($(ARCH), AIX)
LD=ld
endif

clientSDK: 

all:	$(OBJDEST) $(LIBDIR) $(LIBDIS)

$(LIBDIS): $(OBJS) $(LIBDIS_DLL_OBJ) $(DEF_FILE)
	$(LINK_DLL) $(LIBDIS_DLL_OBJ) $(EXTRA_LIBS) 

veryclean: clean

clean:
	$(RM) $(OBJS)
ifeq ($(ARCH), WINNT)
	$(RM) $(LIBDIS_DLL_OBJ)
endif
	$(RM) $(LIBDIS)

$(OBJDEST):
	$(MKDIR) $(OBJDEST)

=== ldap/servers/slapd/test-plugins/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# This Program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; version 2 of the License.
# 
# This Program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA.
# 
# In addition, as a special exception, Red Hat, Inc. gives You the additional
# right to link the code of this Program with code not covered under the GNU
# General Public License ("Non-GPL Code") and to distribute linked combinations
# including the two, subject to the limitations in this paragraph. Non-GPL Code
# permitted under this exception must only link to the code of this Program
# through those well defined interfaces identified in the file named EXCEPTION
# found in the source code files (the "Approved Interfaces"). The files of
# Non-GPL Code may instantiate templates or use macros or inline functions from
# the Approved Interfaces without causing the resulting work to be covered by
# the GNU General Public License. Only Red Hat, Inc. may make changes or
# additions to the list of Approved Interfaces. You must obey the GNU General
# Public License in all respects for all of the Program code and other code used
# in conjunction with the Program except the Non-GPL Code covered by this
# exception. If you modify this file, you may extend this exception to your
# version of the file, but you are not obligated to do so. If you do not wish to
# provide this exception without modification, you must delete this exception
# statement from your version and license this file solely under the GPL without
# exception. 
# 
# 
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK
#
#
# GNU Makefile for Directory Server test-plugin
#

LDAP_SRC = ../../..
BUILD_ROOT = ../../../..

NOSTDCLEAN=true # don't let nsconfig.mk define target clean
NOSTDSTRIP=true # don't let nsconfig.mk define target strip

OBJDEST = $(OBJDIR)/servers/obj
BINDIR = $(OBJDIR)/bin
LIBDIR = $(OBJDIR)/lib

include $(BUILD_ROOT)/nsdefs.mk
include $(BUILD_ROOT)/nsconfig.mk
include $(LDAP_SRC)/nsldap.mk
include $(BUILD_ROOT)/ns_usepurify.mk


EXTRA_INCLUDES=-I.. -I../../../include $(NSPR_INCLUDE) -I$(LDAP_INCLUDE) -I$(DB_INCLUDE) -I../../../servers/slapd -g
INCLUDE_FLAGS=-I../include $(EXTRA_INCLUDES)
EXTRA_LIBS = $(DB_LIB)

ifdef USE_64
MAKEFILE_FILE=Makefile.$(BUILD_ARCH)64
else
MAKEFILE_FILE=Makefile.$(BUILD_ARCH)
endif

all:
	$(MAKE) -f $(MAKEFILE_FILE) all INCLUDE_FLAGS="$(INCLUDE_FLAGS)" EXTRA_LIBS="$(EXTRA_LIBS)"

libtest-plugin.so:
	$(MAKE) -f $(MAKEFILE_FILE) libtest-plugin.so \
	    INCLUDE_FLAGS="$(INCLUDE_FLAGS)"

clean:
	$(MAKE) -f $(MAKEFILE_FILE) clean INCLUDE_FLAGS="$(INCLUDE_FLAGS)"

veryclean:		clean

## 389-ds-base 1.2.10.4

=== debian/changelog ===
389-ds-base (1.2.10.4-0ubuntu3) precise; urgency=low

  * postinst, init: Drop the error handler, and make it non-fatal if
    there are no configured instances.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 20 Mar 2012 18:12:50 +0200

389-ds-base (1.2.10.4-0ubuntu2) precise; urgency=low

  * Merge from debian git.
    - Add 389-ds metapackage (LP: #958599).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 20 Mar 2012 16:45:44 +0200

389-ds-base (1.2.10.4-0ubuntu1) precise; urgency=low

  * Merge from debian git.
    - rules, postinst:
      Add an error handler function for dh_installinit, so
      that clean installs don't fail due to missing configuration.
      (LP: #946815)
    - postinst: Run the update tool.
    - fix the initscript to handle multiple instances and detach ns-slapd
      so postinst doesn't hang.
  * New upstream bugfix release.
    + #304 - Fix kernel version checking in dsktune
    + #306 - void function cannot return value
    + #305 - Certain CMP operations hang or cause ns-slapd to crash
    + handle null smods
    + memleaks in mep_parse_config_entry, normalize_mods2bvals

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 15 Mar 2012 14:21:24 +0200

389-ds-base (1.2.10.2-0ubuntu2) precise; urgency=low

  * Merge from debian git.
    - Really include the initscript in the package.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sun, 04 Mar 2012 07:45:25 +0200

389-ds-base (1.2.10.2-0ubuntu1) precise; urgency=low

  * Pull from unreleased debian branch. (LP: #27463)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 01 Mar 2012 23:54:24 +0200

389-ds-base (1.2.10.4-1) UNRELEASED; urgency=low

  * New upstream release.
  * watch: Fix the url.
  * patches/remove_license_prompt: Dropped, included upstream.
  * patches/default_user: Refreshed.
  * control: Change the VCS header to point to the git repository.
  * control: Rename last remnants of Fedora to 389.
  * changelog, control: Be consistent with the naming; renamed the source
    to just '389-ds-base', which matches upstream tarball naming.
  * control: Wrap Depends.
  * compat, control: Bump compat to 9, and debhelper build-dep to (>= 9).
  * rules: Switch to dh.
  * Move dirsrv.lintian to dirsrv.lintian-overrides, adjust dirsrv.install.
  * *.dirs: Clean up.
  * control: Build-depend on dh-autoreconf, drop duplicate bdeps.
  * Fold dirsrv-tools into the main package.
  * Build against libldap2-dev (>= 2.4.28).
  * Rename binary package to 389-ds-base.
  * -dev.install: Install the pkgconfig file.
  * Add format-security.diff to fix FTBFS with current hardening flags.
  * rules: Enable PIE hardening.
  * Add a default file, currently sets LD_BIND_NOW=1.
  * control: 'dbgen' uses old perl libs, add libperl4-corelibs-perl
    dependency to 389-ds-base.
  * rules: Add --fail-missing for dh_install, remove files not needed
    and make sure to install the rest.
  * rules, control: Fix the installation name of ds-logpipe.py, add
    python dependency to 389-ds-base..
  * libns-dshttpd is internal to the server, ship it in 389-ds-base.
  * Rename libdirsrv{-dev,0} -> 389-ds-base-{dev,libs}, includes only
    libslapd and headers for external plugin development.
  * control: Breaks/Replaces old libdirsrv-dev/libdirsrv0/dirsrv.
  * Drop hyphen_used_as_minus, applied upstream.
  * copyright: Use DEP5 format.
  * Cherry-pick upstream commit ee320163c6 to get rid of unnecessary
    and non-free MIB's from the tree, and build a dfsg compliant tarball.
  * lintian-overrides: Update, create one for -libs.
  * Fix the initscript to create the lockdir, and refactor code into separate
    functions.
  * Drop obsolete entries from copyright, and make it lintian clean.
  * debian/po: Refer to the correct file after rename.
  * control: Bump Standards-Version to 3.9.3, no changes.
  * postinst: Drop unused 'lastversion'.
  * patches: Add DEP3 compliant headers.
  * postinst: Run the update tool.
  * dirsrv.init:
    - Make the start and stop functions much simpler and LSB compliant
    - Fix starting multiple instances
    - Use '-b' for start-stop-daemon, since ns-slapd doesn't detach properly
  * control: Add 389-ds metapackage.
  * init: Make it non-fatal if there are no configured instances.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 30 Sep 2011 01:19:20 +0300

389-directory-server (1.2.6.1-5) unstable; urgency=low

  * Removed db_stop from dirsrv.postinst
  * Fix short description in libdirsrv0-dbg

 -- Michele Baldessari <michele@acksyn.org>  Wed, 20 Oct 2010 20:24:20 +0200

389-directory-server (1.2.6.1-4) unstable; urgency=low

  * Make libicu dep dependent on dpkg-vendor

 -- Michele Baldessari <michele@acksyn.org>  Mon, 18 Oct 2010 21:21:52 +0200

389-directory-server (1.2.6.1-3) unstable; urgency=low

  * Remove dirsrv user and group in postrm
  * Clean up postrm and postinst

 -- Michele Baldessari <michele@acksyn.org>  Sun, 17 Oct 2010 21:54:08 +0200

389-directory-server (1.2.6.1-2) unstable; urgency=low

  * Fix QUILT_STAMPFN

 -- Michele Baldessari <michele@acksyn.org>  Sun, 17 Oct 2010 15:03:34 +0200

389-directory-server (1.2.6.1-1) unstable; urgency=low

  * New upstream

 -- Michele Baldessari <michele@acksyn.org>  Sat, 16 Oct 2010 23:08:09 +0200

389-directory-server (1.2.6-2) unstable; urgency=low

  * Update my email address

 -- Michele Baldessari <michele@acksyn.org>  Sat, 16 Oct 2010 22:34:19 +0200

389-directory-server (1.2.6-1) unstable; urgency=low

  * New upstream
  * s/Fedora/389/g to clean up the branding
  * Remove automatic configuration (breaks too often with every update)
  * Remove dirsrv.config translation, no questions are asked anymore 
  * Fix old changelog versions with proper ~ on rc versions
  * Update policy to 3.9.1
  * Improve README.Debian
  * Depend on libicu44
  * Remove /var/run/dirsrv from the postinst scripts (managed by init script)

 -- Michele Baldessari <michele@pupazzo.org>  Sat, 04 Sep 2010 11:58:21 +0200

389-directory-server (1.2.6~rc7-1) unstable; urgency=low



=== debian/control ===
Source: 389-ds-base
Section: net
Priority: optional
Maintainer: Ubuntu 389ds <ubuntu-389-directory-server@lists.launchpad.net>
XSBC-Original-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: quilt, debhelper (>= 9), dpkg-dev (>= 1.13.19),
 dh-autoreconf,
 libnspr4-dev,
 libnss3-dev,
 libsasl2-dev,
 libsvrcore-dev,
 libldap2-dev (>= 2.4.28),
 libicu-dev,
 libsnmp-dev,
 libdb4.8-dev,
 zlib1g-dev,
 libbz2-dev,
 libssl-dev,
 libpam0g-dev,
 pkg-config,
 debconf-utils,
 libperl-dev,
 libkrb5-dev,
 libpcre3-dev,
 po-debconf,
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-ds-base.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/389-ds-base.git
Homepage: http://directory.fedoraproject.org

Package: 389-ds
Architecture: all
Depends: ${misc:Depends},
 389-ds-base,
 389-admin,
 389-admin-console,
 389-console,
 389-ds-console,
 389-dsgw,
Description: 389 Directory Server Suite
 The 389 Directory Server, Administration Server, and Console Suite provide
 the LDAPv3 server, the httpd daemon used to administer the server, and the
 console GUI application used for server and user/group administration.

Package: 389-ds-base-libs
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
 libnss3-1d,
 libsvrcore0,
 libsnmp15,
 libdb4.8,
Breaks: libdirsrv0
Replaces: libdirsrv0
Description: 389 Directory Server libraries -- runtime
 The 389 Directory Server is a robust, scalable open-source server
 designed to manage large directories of users and resources. It is based
 on an open-systems server protocol called the Lightweight Directory
 Access Protocol (LDAP).
 .
 This package contains core libraries for the 389 Directory Server.

Package: 389-ds-base-libs-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 389-ds-base-libs (= ${binary:Version}),
Description: 389 Directory Server libraries -- debugging symbols
 The 389 Directory Server is a robust, scalable open-source server
 designed to manage large directories of users and resources. It is based
 on an open-systems server protocol called the Lightweight Directory
 Access Protocol (LDAP).
 .
 This package provides detached debugging information for the 389
 Directory Server libraries. It is useful primarily to permit better 
 backtraces and crash dump analysis after problems with the libraries. 
 GDB will find this debug information automatically.

Package: 389-ds-base-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 389-ds-base-libs (= ${binary:Version}),
 libnss3-1d,
 libsvrcore0,
 libsnmp15,
 libdb4.8,
Breaks: libdirsrv-dev
Replaces: libdirsrv-dev
Description: 389 Directory Server libraries -- development files
 The 389 Directory Server is a robust, scalable open-source server
 designed to manage large directories of users and resources. It is based
 on an open-systems server protocol called the Lightweight Directory
 Access Protocol (LDAP).
 .
 This package contains development headers for the core libraries
 of the 389 Directory Server, useful for developing plugins without
 having to install the server itself.

Package: 389-ds-base
Architecture: any
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends},
 389-ds-base-libs (= ${binary:Version}),
 libnss3-1d,
 libsvrcore0,
 libsnmp15,
 libdb4.8,
 adduser,
 libmozilla-ldap-perl,
 libsasl2-modules-gssapi-mit,
 libperl4-corelibs-perl | perl (<< 5.12.3-7),
 python,
Conflicts:
 slapd,
Breaks:
 dirsrv,
 libdirsrv0,
 libdirsrv-dev,
Replaces:
 dirsrv,
 libdirsrv0,
 libdirsrv-dev,
Description: 389 Directory Server -- base package
 The 389 Directory Server is a robust, scalable open-source server
 designed to manage large directories of users and resources. It is based
 on an open-systems server protocol called the Lightweight Directory
 Access Protocol (LDAP).
 .
 Amongst other features, it supports 4-Way multi-master replication, 
 Active Directory user and group synchronization, great scalability and
 on-line, zero downtime, LDAP-based update of schema, configuration,
 management and in-tree Access Control Information (ACIs).

Package: 389-ds-base-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 389-ds-base (= ${binary:Version}),
Description: 389 Directory Server -- debugging symbols
 The 389 Directory Server is a robust, scalable open-source server
 designed to manage large directories of users and resources. It is based
 on an open-systems server protocol called the Lightweight Directory
 Access Protocol (LDAP).
 .
 This package provides detached debugging information for the 389
 Directory Server. It is useful primarily to permit better backtraces 
 and crash dump analysis after problems with the libraries. 
 GDB will find this debug information automatically.

=== debian/watch ===
version=3
http://directory.fedoraproject.org/sources/389-ds-base-(.*).tar.bz2

## 389-ds-base 1.2.11.15

=== debian/changelog ===
389-ds-base (1.2.11.15-1) unstable; urgency=low

  * New upstream release.
  * Add fix-cve-2012-4450.diff. (Closes: #688942)
  * dirsrv.init: Fix stop() to remove the pidfile only when the process
    is finished. (Closes: #689389)
  * copyright: Update the source url.
  * control: Drop quilt from build-depends, since using 3.0 (quilt)
  * lintian-overrides: Add an override for hardening-no-fortify-
    functions, since it's a false positive in this case.
  * control: Drop dpkg-dev from build-depends, no need to specify it
    directly.
  * copyright: Add myself as a copyright holder for debian/*.
  * 389-ds-base.prerm: Add 'set -e'.
  * rules: drop DEB_HOST_MULTIARCH, dh9 handles it.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 03 Oct 2012 19:33:52 +0300

389-ds-base (1.2.11.7-5) unstable; urgency=low

  * control: Drop debconf-utils and po-debconf from build-depends.
  * control: Add libnetaddr-ip-perl and libsocket-getaddrinfo-perl to
    389-ds-base Depends for ipv6 support. (Closes: #682847)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 30 Jul 2012 13:12:23 +0200

389-ds-base (1.2.11.7-4) unstable; urgency=low

  * debian/po: Remove, leftover from the template purge. (Closes: #681543)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 19 Jul 2012 23:12:01 +0300

389-ds-base (1.2.11.7-3) unstable; urgency=low

  * 389-ds-base.config: Removed, the debconf template is no more.
    (Closes: #680351)
  * control: Remove duplicate 'the' from the 389-ds description.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 11 Jul 2012 11:59:36 +0300

389-ds-base (1.2.11.7-2) unstable; urgency=low

  * control: Stop hardcoding libs to binary depends. (Closes: #679790)
  * control: Add libnspr4-dev and libldap2-dev to 389-ds-base-dev
    Depends. (Closes: #679742)
  * l10n review (Closes: #679870) :
    - Drop the debconf template, and rewrap README.Debian.
    - control: Update the descriptions

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 03 Jul 2012 17:58:20 +0300

389-ds-base (1.2.11.7-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * watch: Fix the url.
  * patches/remove_license_prompt: Dropped, included upstream.
  * patches/default_user: Refreshed.
  * control: Change the VCS header to point to the git repository.
  * control: Rename last remnants of Fedora to 389.
  * changelog, control: Be consistent with the naming; renamed the source
    to just '389-ds-base', which matches upstream tarball naming.
  * control: Wrap Depends.
  * compat, control: Bump compat to 9, and debhelper build-dep to (>= 9).
  * rules: Switch to dh.
  * Move dirsrv.lintian to dirsrv.lintian-overrides, adjust dirsrv.install.
  * *.dirs: Clean up.
  * control: Build-depend on dh-autoreconf, drop duplicate bdeps.
  * Fold dirsrv-tools into the main package.
  * Build against libldap2-dev (>= 2.4.28).
  * Rename binary package to 389-ds-base.
  * -dev.install: Install the pkgconfig file.
  * rules: Enable PIE hardening.
  * Add a default file, currently sets LD_BIND_NOW=1.
  * control: 'dbgen' uses old perl libs, add libperl4-corelibs-perl
    dependency to 389-ds-base.
  * rules: Add --fail-missing for dh_install, remove files not needed
    and make sure to install the rest.
  * rules, control: Fix the installation name of ds-logpipe.py, add
    python dependency to 389-ds-base..
  * libns-dshttpd is internal to the server, ship it in 389-ds-base.
  * Rename libdirsrv{-dev,0} -> 389-ds-base-{dev,libs}, includes only
    libslapd and headers for external plugin development.
  * control: Breaks/Replaces old libdirsrv-dev/libdirsrv0/dirsrv.
  * Drop hyphen_used_as_minus, applied upstream.
  * copyright: Use DEP5 format.
  * Cherry-pick upstream commit ee320163c6 to get rid of unnecessary
    and non-free MIB's from the tree, and build a dfsg compliant tarball.
  * lintian-overrides: Update, create one for -libs.
  * Fix the initscript to create the lockdir, and refactor code into separate
    functions.
  * Drop obsolete entries from copyright, and make it lintian clean.
  * debian/po: Refer to the correct file after rename.
  * control: Bump Standards-Version to 3.9.3, no changes.
  * postinst: Drop unused 'lastversion'.
  * patches: Add DEP3 compliant headers.
  * rules, postinst: Add an error handler function for dh_installinit, so
    that clean installs don't fail due to missing configuration.
  * postinst: Run the update tool.
  * dirsrv.init:
    - Make the start and stop functions much simpler and LSB compliant
    - Fix starting multiple instances
    - Use '-b' for start-stop-daemon, since ns-slapd doesn't detach properly
  * control: Add 389-ds metapackage.
  * control: Change libdb4.8-dev build-depends to libdb-dev, since this version
    supports db5.x.
  * 389-ds-base.prerm: Add prerm script for removing installed instances on
    purge.

  [ Krzysztof Klimonda ]
  * dirsrv.init:
    - return 0 code if there are no instances configured and tweak message
      so it doesn't indicate a failure.

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Tue, 27 Mar 2012 14:26:16 +0200

=== debian/control ===
Source: 389-ds-base
Section: net
Priority: optional
Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>,
	   Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libnspr4-dev,
 libnss3-dev,
 libsasl2-dev,
 libsvrcore-dev,
 libldap2-dev (>= 2.4.28),
 libicu-dev,
 libsnmp-dev,
 libdb-dev,
 zlib1g-dev,
 libbz2-dev,
 libssl-dev,
 libpam0g-dev,
 pkg-config,
 libperl-dev,
 libkrb5-dev,
 libpcre3-dev,
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-ds-base.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/389-ds-base.git
Homepage: http://directory.fedoraproject.org

Package: 389-ds
Architecture: all
Depends: ${misc:Depends},
 389-ds-base,
 389-admin,
 389-admin-console,
 389-console,
 389-ds-console,
 389-dsgw,
Description: 389 Directory Server suite - metapackage
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This is a metapackage depending on the LDAPv3 server, the HTTP
 daemon used for server administration, and the graphical console used
 for server and user/group administration.

Package: 389-ds-base-libs
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libdirsrv0
Replaces: libdirsrv0
Description: 389 Directory Server suite - libraries
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package contains core libraries for the 389 Directory Server.

Package: 389-ds-base-libs-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 389-ds-base-libs (= ${binary:Version}),
Description: 389 Directory Server suite - library debugging symbols
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package provides detached debugging information for the 389
 Directory Server libraries. It is useful primarily to permit better 
 backtraces and crash dump analysis after problems with the libraries. 
 GDB will find this debug information automatically.

Package: 389-ds-base-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 389-ds-base-libs (= ${binary:Version}),
 libldap2-dev,
 libnspr4-dev,
Breaks: libdirsrv-dev
Replaces: libdirsrv-dev
Description: 389 Directory Server suite - development files
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package contains development headers for the core libraries
 of the 389 Directory Server, useful for developing plugins without
 having to install the server itself.

Package: 389-ds-base
Architecture: any
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends},
 389-ds-base-libs (= ${binary:Version}),
 adduser,
 libmozilla-ldap-perl,
 libnetaddr-ip-perl,
 libsasl2-modules-gssapi-mit,
 libperl4-corelibs-perl | perl (<< 5.12.3-7),
 libsocket-getaddrinfo-perl,
 python,
Conflicts:
 slapd,
Breaks:
 dirsrv,
 libdirsrv0,
 libdirsrv-dev,
Replaces:
 dirsrv,
 libdirsrv0,
 libdirsrv-dev,
Description: 389 Directory Server suite - server
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 Its key features include:
  * four-way multi-master replication;
  * great scalability;
  * extensive documentation;
  * Active Directory user and group synchronization;
  * secure authentication and transport;
  * support for LDAPv3;
  * graphical management console;
  * on-line, zero downtime update of schema, configuration, and
    in-tree Access Control Information.

Package: 389-ds-base-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 389-ds-base (= ${binary:Version}),
Description: 389 Directory Server suite - server debugging symbols
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package provides detached debugging information for the 389
 Directory Server. It is useful primarily to permit better backtraces 
 and crash dump analysis after problems with the libraries. 
 GDB will find this debug information automatically.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie

# Keep track of files we don't install
NOT_INSTALLED := \
	etc/rc.d/init.d/dirsrv-snmp \
	etc/rc.d/init.d/dirsrv \
	etc/default/dirsrv

REALFILE = \
	bin/cl-dump.pl \
	bin/dbgen.pl \
	bin/ds-logpipe.py \
	bin/logconv.pl \
	bin/repl-monitor.pl \
	bin/dbscan-bin \
	bin/dsktune-bin \
	bin/infadd-bin \
	bin/ldclt-bin \
	bin/ldif-bin \
	bin/migratecred-bin \
	bin/mmldif-bin \
	bin/pwdhash-bin \
	bin/rsearch-bin	\
	sbin/ldap-agent-bin \
	sbin/migrate-ds.pl \
	sbin/remove-ds.pl \
	sbin/setup-ds.pl \
	share/man/man1/dbgen.pl.1 \
	share/man/man1/ds-logpipe.py.1 \
	share/man/man1/logconv.pl.1 \
	share/man/man8/migrate-ds.pl.8 \
	share/man/man8/setup-ds.pl.8 \
	share/man/man8/remove-ds.pl.8

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-openldap \
		--enable-autobind

override_dh_install:
	# lets do the renaming here afterall, instead of in 389-ds-base.install
	for file in $(REALFILE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
		$(CURDIR)/debian/tmp/usr/`echo $$file | \
		sed -s 's/\-bin//;s/\.pl//;s/\.py//'`; \
		done
	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
	# fix template script headers
	find $(CURDIR)/debian/tmp/usr/share/dirsrv/script-templates/ -type f -exec perl -pi -e  's,#\{\{PERL-EXEC\}\},#!/usr/bin/perl,' "{}" \;	

	# Also get rid of other files which aren't installed. Do not
	# use -f to ensure we notice disappearing files:
	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done

	dh_install --fail-missing

override_dh_installinit:
	dh_installinit --name dirsrv --error-handler=invoke_failure -- defaults 15 85

override_dh_strip:
	dh_strip -p389-ds-base-libs --dbg-package=389-ds-base-libs-dbg
	dh_strip -p389-ds-base --dbg-package=389-ds-base-dbg

override_dh_shlibdeps:
	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a

%:
	dh $@ --with autoreconf --builddir build/

=== debian/watch ===
version=3
http://directory.fedoraproject.org/wiki/Source .*/389-ds-base-(.*).tar.bz2

## 389-ds-base 1.3.0.2

=== debian/changelog ===
389-ds-base (1.3.0.2-0ubuntu2) raring; urgency=low

  * debian/*: Fix time stamps due to clock skew (FTBFS).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 06 Feb 2013 18:06:31 +0200

389-ds-base (1.3.0.2-0ubuntu1) raring; urgency=low

  * Sync from unreleased debian git.
    - new upstream release

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 06 Mar 2013 13:24:24 +0200

389-ds-base (1.3.0.2-1) UNRELEASED; urgency=low

  * New upstream release.
  * control: Bump the policy to 3.9.4, no changes.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 11 Dec 2012 14:34:01 +0200

389-ds-base (1.2.11.17-1) UNRELEASED; urgency=low

  * New upstream release.
  * watch: Add a comment about the upstream git tree.
  * fix-cve-2012-4450.diff: Remove, upstream.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sat, 01 Dec 2012 14:22:13 +0200

389-ds-base (1.2.10.4-0ubuntu4) quantal; urgency=low

  * Switch to db5.1:
   - control: switch dependancies from libdb4.8[-dev] to libdb[-dev]
   - Correct comparisons for >v4.4 for DB_ENV_SET_TAS_SPINS.
   - Correct comparisons for >v4.4 for DB_LOCK_STAT.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 15 Jun 2012 11:56:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu 389ds <ubuntu-389-directory-server@lists.launchpad.net>
+XSBC-Original-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>,
 	   Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>
 Build-Depends: debhelper (>= 9),
@@ -22,7 +23,7 @@
  libperl-dev,
  libkrb5-dev,
  libpcre3-dev,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-ds-base.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/389-ds-base.git
 Homepage: http://directory.fedoraproject.org

=== debian/watch ===
#git=git://git.fedorahosted.org/389/ds.git
version=3
http://directory.fedoraproject.org/wiki/Source .*/389-ds-base-(.*).tar.bz2

## 389-ds-base 1.3.0.3

=== debian/changelog ===
389-ds-base (1.3.0.3-1ubuntu1) raring; urgency=low

  * Sync from Debian unstable.
    - cve fix

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 12 Mar 2013 09:53:20 +0200

389-ds-base (1.3.0.3-1) unstable; urgency=low

  * New upstream release.
  * control: Bump the policy to 3.9.4, no changes.
  * fix-CVE-2013-0312.diff: Patch to fix handling LDAPv3 control data.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 11 Mar 2013 14:23:20 +0200

## 389-ds-base 1.3.1.9

=== debian/changelog ===
389-ds-base (1.3.1.9-0ubuntu2) saucy; urgency=low

  * Merge from debian git
    - admin_scripts.diff: Add patch from upstream #47511 to fix bashisms.
    - control: Add ldap-utils to -base depends.
    - rules, rename-online-scripts.diff: Some scripts with .pl suffix are
      meant for an online server, so instead of overwriting the offline
      scripts use -online suffix.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 10 Oct 2013 09:49:15 +0300

389-ds-base (1.3.1.9-0ubuntu1) saucy; urgency=low

  * Sync from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 26 Sep 2013 21:55:25 +0300

389-ds-base (1.3.1.9-1) UNRELEASED; urgency=low

  * New upstream release. (Closes: #718325)
  * Drop the cve fix, upstream.
  * rules: Add new scripts to rename.
  * fix-sasl-path.diff: Use a triplet path to find libsasl2. (LP:
    #1088822)
  * admin_scripts.diff: Add patch from upstream #47511 to fix bashisms.
  * control: Add ldap-utils to -base depends.
  * rules, rename-online-scripts.diff: Some scripts with .pl suffix are
    meant for an online server, so instead of overwriting the offline
    scripts use -online suffix.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 05 Aug 2013 10:54:03 +0300

389-ds-base (1.3.1.7-0ubuntu1) saucy; urgency=low

  * Sync from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 30 Aug 2013 00:31:55 +0300

=== debian/control ===
--- 
+++ 
@@ -101,6 +101,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
  389-ds-base-libs (= ${binary:Version}),
  adduser,
+ ldap-utils,
  libmozilla-ldap-perl,
  libnetaddr-ip-perl,
  libsasl2-modules-gssapi-mit,

=== debian/rules ===
--- 
+++ 
@@ -15,25 +15,39 @@
 	bin/ds-logpipe.py \
 	bin/logconv.pl \
 	bin/repl-monitor.pl \
-	bin/dbscan-bin \
-	bin/dsktune-bin \
-	bin/infadd-bin \
-	bin/ldclt-bin \
-	bin/ldif-bin \
-	bin/migratecred-bin \
-	bin/mmldif-bin \
-	bin/pwdhash-bin \
-	bin/rsearch-bin	\
-	sbin/ldap-agent-bin \
 	sbin/migrate-ds.pl \
 	sbin/remove-ds.pl \
 	sbin/setup-ds.pl \
+	sbin/cleanallruv.pl \
+	sbin/fixup-linkedattrs.pl \
+	sbin/fixup-memberof.pl \
+	sbin/ns-accountstatus.pl \
+	sbin/ns-activate.pl \
+	sbin/ns-inactivate.pl \
+	sbin/ns-newpwpolicy.pl \
+	sbin/schema-reload.pl \
+	sbin/syntax-validate.pl \
+	sbin/usn-tombstone-cleanup.pl \
+	sbin/verify-db.pl \
 	share/man/man1/dbgen.pl.1 \
 	share/man/man1/ds-logpipe.py.1 \
 	share/man/man1/logconv.pl.1 \
 	share/man/man8/migrate-ds.pl.8 \
 	share/man/man8/setup-ds.pl.8 \
 	share/man/man8/remove-ds.pl.8
+
+# scripts for handling online servers
+REALFILE_ONLINE = \
+	sbin/bak2db.pl \
+	sbin/db2bak.pl \
+	sbin/db2index.pl \
+	sbin/db2ldif.pl \
+	sbin/ldif2db.pl \
+	share/man/man8/bak2db.pl.8 \
+	share/man/man8/db2bak.pl.8 \
+	share/man/man8/db2index.pl.8 \
+	share/man/man8/db2ldif.pl.8 \
+	share/man/man8/ldif2db.pl.8
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -44,7 +58,12 @@
 	# lets do the renaming here afterall, instead of in 389-ds-base.install
 	for file in $(REALFILE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
 		$(CURDIR)/debian/tmp/usr/`echo $$file | \
-		sed -s 's/\-bin//;s/\.pl//;s/\.py//'`; \
+		sed -s 's/\.pl//;s/\.py//'`; \
+		done
+	# use -online suffix so that they won't overwrite the offline scripts
+	for file in $(REALFILE_ONLINE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
+		$(CURDIR)/debian/tmp/usr/`echo $$file | \
+		sed -s 's/\.pl/-online/'`; \
 		done
 	# purge .la files
 	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;

## 389-ds-base 1.3.2.16

=== debian/changelog ===
389-ds-base (1.3.2.16-0ubuntu1) trusty; urgency=medium

  * Sync with unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 09 Apr 2014 00:40:55 +0300

389-ds-base (1.3.2.16-1) UNRELEASED; urgency=medium

  * New upstream release.
    - CVE-2014-0132 (Closes: #741600)
  * admin_scripts.diff: Updated to fix more bashisms.
  * control: Build only on linux.
  * watch: Update the url.
  * Install failedbinds.py and logregex.py scripts.
  * fix-version-typo.diff: Tarball didn't get the version right.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 12 Feb 2014 09:47:35 +0200

389-ds-base (1.3.2.11-0ubuntu1) trusty; urgency=medium

  * Merge from unreleased debian git.
    - CVE fixes

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 19 Feb 2014 01:43:25 +0200

389-ds-base (1.3.2.9-1) unstable; urgency=low

  * New upstream release.
    - fixes CVE-2013-0336 (Closes: #704077)
    - fixes CVE-2013-1897 (Closes: #704421)
    - fixes CVE-2013-2219 (Closes: #718325)
    - fixes CVE-2013-4283 (Closes: #721222)
    - fixes CVE-2013-4485 (Closes: #730115)
  * Drop fix-CVE-2013-0312.diff, upstream.
  * rules: Add new scripts to rename.
  * fix-sasl-path.diff: Use a triplet path to find libsasl2. (LP:
    #1088822)
  * admin_scripts.diff: Add patch from upstream #47511 to fix bashisms.
  * control: Add ldap-utils to -base depends.
  * rules, rename-online-scripts.diff: Some scripts with .pl suffix are
    meant for an online server, so instead of overwriting the offline
    scripts use -online suffix.
  * rules: Enable parallel build, but limit the jobs to 1 for
    dh_auto_install.
  * control: Bump policy to 3.9.5, no changes.
  * rules: Add get-orig-source target.
  * lintian-overrides: Drop obsolete entries, add comments for the rest.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 03 Feb 2014 11:08:50 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libperl-dev,
  libkrb5-dev,
  libpcre3-dev,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-ds-base.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
@@ -48,7 +48,7 @@
 
 Package: 389-ds-base-libs
 Section: libs
-Architecture: any
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libdirsrv0
@@ -63,7 +63,7 @@
 Package: 389-ds-base-libs-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  389-ds-base-libs (= ${binary:Version}),
@@ -79,7 +79,7 @@
 
 Package: 389-ds-base-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  389-ds-base-libs (= ${binary:Version}),
  libldap2-dev,
@@ -96,7 +96,7 @@
  having to install the server itself.
 
 Package: 389-ds-base
-Architecture: any
+Architecture: linux-any
 Pre-Depends: debconf (>= 0.5) | debconf-2.0
 Depends: ${misc:Depends}, ${shlibs:Depends},
  389-ds-base-libs (= ${binary:Version}),
@@ -137,7 +137,7 @@
 Package: 389-ds-base-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends},
  389-ds-base (= ${binary:Version}),
 Description: 389 Directory Server suite - server debugging symbols

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
+DEB_UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([^+]+)-.*/\1/p')
 
 # Keep track of files we don't install
 NOT_INSTALLED := \
@@ -54,6 +55,9 @@
 		--with-openldap \
 		--enable-autobind
 
+override_dh_auto_install:
+	dh_auto_install --max-parallel=1
+
 override_dh_install:
 	# lets do the renaming here afterall, instead of in 389-ds-base.install
 	for file in $(REALFILE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
@@ -86,5 +90,10 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a
 
+get-orig-source:
+	# upstream wikipage is rarely updated, so uscan doesn't work
+	wget http://port389.org/sources/389-ds-base-$(DEB_UPSTREAM_VERSION).tar.bz2
+	mv 389-ds-base-$(DEB_UPSTREAM_VERSION).tar.bz2 ../389-ds-base_$(DEB_UPSTREAM_VERSION).orig.tar.bz2
+
 %:
-	dh $@ --with autoreconf --builddir build/
+	dh $@ --parallel --with autoreconf --builddir build/

=== debian/watch ===
#git=git://git.fedorahosted.org/389/ds.git
version=3
http://port389.org/sources/389-ds-base-(.*).tar.bz2
